all:	foo.rom

.SUFFIXES: .c .a65 .o

.c.o:
	lcc816 -v -S -w $<
# for some reason, the compiler segfaults without -w
	xa816 -c -R $*.a65 -o $@

# rom image, without smc header -- can play with snes9x
foo.snes: foo.o foo-sound.o
	./ldsnes-lorom.pl -o $@ $^

# list of symbols for debugging
foo.map: foo.o foo-sound.o
	./ldsnes-lorom.pl -v -o $@.temp1 $^ | grep 'is at' | sort +2 > $@
	rm $@.temp1

# rom image, padded to 128Kbytes, for eprom
foo.rom: foo.snes
	(cat foo.snes; dd if=/dev/zero bs=1024 count=128|tr '\0' '\177') | dd bs=1024 count=128 > foo.rom
